List alerts
curl --request GET \
--url https://app.pipecorn.com/api/v2/alerts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.pipecorn.com/api/v2/alerts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.pipecorn.com/api/v2/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pipecorn.com/api/v2/alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pipecorn.com/api/v2/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.pipecorn.com/api/v2/alerts")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pipecorn.com/api/v2/alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"alerts": [
{
"uuid": "3f6c2a1e-9b8d-4c1f-a2e3-5d6f7a8b9c0d",
"name": "Signal NEW_HIRES - 2025-01-03 17:35:33",
"alert_type": "NEW_HIRES",
"frequency": "DAILY",
"active": true,
"created_at": "2025-01-03T17:35:33.073Z",
"latest_search_at": "2025-01-04T17:35:33.073Z"
}
]
}Alerts
List Alerts
List the alerts (signal trackings) created by your account or workspace
GET
/
alerts
List alerts
curl --request GET \
--url https://app.pipecorn.com/api/v2/alerts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.pipecorn.com/api/v2/alerts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.pipecorn.com/api/v2/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pipecorn.com/api/v2/alerts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pipecorn.com/api/v2/alerts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.pipecorn.com/api/v2/alerts")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pipecorn.com/api/v2/alerts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"alerts": [
{
"uuid": "3f6c2a1e-9b8d-4c1f-a2e3-5d6f7a8b9c0d",
"name": "Signal NEW_HIRES - 2025-01-03 17:35:33",
"alert_type": "NEW_HIRES",
"frequency": "DAILY",
"active": true,
"created_at": "2025-01-03T17:35:33.073Z",
"latest_search_at": "2025-01-04T17:35:33.073Z"
}
]
}Alerts are created by signal endpoints such as Find new hires and Track job changes. Filter them with
alert_type, and pass active=true to return active alerts only.Authorizations
Your API key
Query Parameters
Only return alerts of this type
Available options:
NEW_HIRES, JOB_CHANGES, JOB_POSTING, SOCIAL_LISTENING, STACK, CUSTOM_LEAD, CUSTOM_ACCOUNT, COMPANY_SIGNAL true returns active alerts only. Any other value is ignored
Response
The alerts
Show child attributes
Show child attributes
Was this page helpful?